
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python编程（三）：Python之MVC / 憋错料</title>

    <meta name="description" content="Python编程（三）：Python之MVC 很大程度上,web开发的模式演进路线和桌面UI的演进历史惊人的重合:最开始,CGI拼字符串:对应桌面程序的console界面时代.后来web开发开始MVC化,也基本上是借鉴桌面GUI开发时的数据库封装(Model),布局文件(View),业务逻辑(Control).后来web开发越来越注重用户的实时交互,从而变得富JavaScript化.个人感觉和桌面GUI库中的callback化很类似. web开发以后的趋势应该是&quot;控件化&quot;,前后端的界限会变得模糊,可能会出现一套包含前后端 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Python编程（三）：Python之MVC</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDAvN0MvOUYvd0tpb0wxYlQ4UFdpWVJnZ0FBRUJabC1LaWxRODQwLmpwZw==.jpg" /></p>
<p>很大程度上，web开发的模式演进路线和桌面UI的演进历史惊人的重合：最开始，CGI拼字符串；对应桌面程序的console界面时代。后来web开发开始MVC化，也基本上是借鉴桌面GUI开发时的数据库封装(Model)，布局文件(View)，业务逻辑(Control)。后来web开发越来越注重用户的实时交互，从而变得富JavaScript化。个人感觉和桌面GUI库中的callback化很类似。</p>
<p>web开发以后的趋势应该是“控件化”，前后端的界限会变得模糊，可能会出现一套包含前后端的控件库。比如一个登陆框，会抽象成一个类，里面包含了各种参数化的界面，动画，后端数据库映射，异常处理等等。感觉RoR（Ruby on Rails）就有点这种发展趋势。</p>
<p>Python的web框架是非常非常之多的，这说明用Python开发web应用是非常流行的，但这也说明了一个可悲的问题：Python不像Ruby那样有一个Rails似的一统天下的框架，我也经常被初学者问起Python web开发哪家强之类的问题。</p>
<p><strong>Python Web框架一览：</strong></p>
<p><a href="https://link.zhihu.com/?target=https%3A//wiki.python.org/moin/WebFrameworks/" rel="external nofollow noreferrer">WebFrameworks</a></p>
<p>但平时工作和技术交流过程中我们发现，常用的Python web开发框架还是比较固定的。</p>
<p><strong>这里我分两大类讲</strong><strong><br /></strong></p>
<p><strong>·&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;大而全的框架</strong></p>
<p>o&nbsp;&nbsp;Django，这个应该是现在Python界名气最大的开发框架了，真正的全功能。有个小tips，Django这个单词，D是不发音的，所以这个单子发音大概是“坚狗”，不是“帝坚狗”。Django在实际的大型网站项目中应用的也是比较少的，也是由于“样样行，样样都不精”。但值得一提的是Django里面有个django-admin 模块，可以用这个模块快速的开发出界面很炫酷的系统，一个朋友在这个模块上深度开发了一个项目，可以供大家参考学习：<a href="https://link.zhihu.com/?target=https%3A//github.com/sshwsfc/django-xadmin" rel="external nofollow noreferrer">sshwsfc/django-xadmin · GitHub</a></p>
<p>§&nbsp;官网</p>
<p><a href="https://link.zhihu.com/?target=https%3A//www.djangoproject.com/" rel="external nofollow noreferrer">The Web framework for perfectionists with deadlines</a></p>
<p>§&nbsp;Hello World</p>
<p>稍微有点复杂，要配置route等。详情请见：<a href="https://link.zhihu.com/?target=https%3A//docs.djangoproject.com" rel="external nofollow noreferrer">Django documentation</a></p>
<p>o&nbsp;&nbsp;web2py，这个框架由于Django的出现，现在逐渐式微了。</p>
<p><strong>·&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;轻量级框架</strong></p>
<p>o&nbsp;&nbsp;web.py，这个框架是个有故事的框架。它的作者是天才Aaron Swartz，这个也是曾经最为流行的 Python轻量级web框架，但由于2013年作者自杀身亡后就基本停止更新了，现在用的人也逐渐变少了。</p>
<p>我认为还是有必要介绍一下它的作者，一个我很崇拜的人：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvN0MvOUYvd0tpb0wxYlQ3MDZ6N3l1cUFBRGV5TTJLSWN3Mjg1LmpwZw==.jpg" /></p>
<p>有一部关于他的纪录片，《互联网之子》《The Internet‘s Own Boy: The Story of AaronSwartz》 (2014)。地址： <a href="https://link.zhihu.com/?target=http%3A//movie.douban.com/subject/25785114/" rel="external nofollow noreferrer">互联网之子 (豆瓣)</a></p>
<p>2013年1月11日，美国程序员、作家、政治活动组织者、互联网活动家Aaron H. Swartz在纽约自杀身亡，享年26岁。</p>
<p>Swartz出生于1986年，在14岁时，就已经加入W3C RDF核心工作组。在麻省理工学院，他与Web发明人Tim Berners-Lee一起工作，并协助开发并传播了Web上数据共享的标准，他与其他人联合写就了目前广泛使用的RSS 1.0规范。他是markdown的联合创始人，还是知名社会化新闻站点Reddit的三个拥有者之一，他还创造了python web应用框架web.py。</p>
<p>Swartz曾在Stanford读过一年，然后主动退学，创立公司Infogami，该公司受到Y Combinator首次SummerFounders Program资助。</p>
<p>2007年，他领导非盈利组织Open Library的创立，该组织意将世界上所有曾经出版过的书的信息都收集起来。</p>
<p>此后，Swartz在哈佛道德中心实验室（Harvard‘s Ethics Center Lab）完成了一个研究生奖学金，研究制度腐败（InstutionalCorruption）。在2010年，他创建了<a href="https://link.zhihu.com/?target=http%3A//DemandProgress.org" rel="external nofollow noreferrer">http://DemandProgress.org</a>，发起运动“反抗互联网审查法案SOPA/PIPA”。</p>
<p>2011年7月，美国联邦大陪审团起诉Swartz，罪名是他从JSTOR在线杂志档案系统上下载了海量学术性文档，并大量散发。此后，他为Avaaz基金会工作，这是一家非盈利性组织，致力于“全球web运动，将人民群众的力量带入到政府决策过程中”。</p>
<p>o&nbsp;&nbsp;Flask，中文的意思是“烧瓶”。首先，我们需要明确一个概念，“轻量级”不代表功能简陋，而是设计思想。一切MVC组件都是可替换的。其默认 WSGI 工具箱采用 Werkzeug ，模板引擎则使用 Jinja2。正因为良好的扩展性，Flask也被称为 “microframework” ，因为它使用简单的核心，用 extension 增加其他功能。Flask没有默认使用的数据库、窗体验证工具。然而，Flask保留了扩增的弹性，可以用 Flask-extension加入这些功能：ORM、窗体验证工具、文件上传、各种开放式身份验证技术。</p>
<p><strong>§&nbsp;官网</strong></p>
<p><a href="https://link.zhihu.com/?target=http%3A//flask.pocoo.org/" rel="external nofollow noreferrer">Welcome | Flask(A Python Microframework)</a><strong><br /></strong></p>
<p><strong>§&nbsp;安装</strong></p>
<p>pip installFlask</p>
<p>§<strong>&nbsp;Hello World</strong></p>
<pre>from&nbsp;flask&nbsp;import&nbsp;Flaskapp&nbsp;=&nbsp;Flask(__name__)

@app.route("/")def&nbsp;hello():&nbsp;&nbsp;&nbsp;&nbsp;return&nbsp;"Hello&nbsp;World!"

if&nbsp;__name__&nbsp;==&nbsp;"__main__":&nbsp;&nbsp;&nbsp;&nbsp;app.run()
</pre>
<p>o&nbsp;&nbsp;Bottle，中文的意思是“瓶子”。这个框架和Flask十分的的相似，相似到很多场景下把import Flask 直接改为 import bottle就能直接切换框架。但这连个框架的设计思想相差很多：</p>
<p>Flask倾向于用已有的开源框架来“拼凑”出一个完整的框架，例如Werkzeug、Jinja2。避免重复造轮子；而Bottle的作者似乎比较坚持，自己写的东西才有更好的可控性，作者也对“单文件” 的实现十分的坚持。</p>
<p>我个人比较喜欢Flask的方式，Flask也的确展示出了极强的可变行，如果你想将默认的模版引擎从Jinja2替换成Mako，你甚至都不用引入任何其它的扩展。</p>
<p>◆著作权归作者所有◆</p>
<p>商业转载请联系作者获得授权，非商业转载请注明出处。<br />原文链接：<a href="http://zhuanlan.zhihu.com/auxten/20171274" rel="external nofollow noreferrer">http://zhuanlan.zhihu.com/auxten/20171274</a></p>
<h3>==========================================</h3>
<p>欢迎关注<a href="http://www.51reboot.com/" rel="external nofollow noreferrer">Reboot教育</a>&nbsp;<a href="http://www.51reboot.com/course/devops/" rel="external nofollow noreferrer">运维自动化课程</a></p>
<p>课程详情点击：<a href="http://www.51reboot.com/course/devops/" rel="external nofollow noreferrer">http://www.51reboot.com/course/devops/</a></p>
<p>报名QQ：<strong>979950755(小夏)&nbsp;&nbsp; 279312229（ada）</strong></p>
<p><strong>&gt;&gt;更多技术交流，请加群：238757010</strong></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 18:18:39 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/python/" title="python">python</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Python编程（三）：Python之MVC的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Ozyvg0.html" rel="bookmark">代写python，代写python编程，python代写，python编程代写，留学生python代写</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				代写python,python代写,代写python编程,python编程代写,留学生python代写 本人以及代写团队成员均毕业于国内.海外计算机专业知名学府,现均就职于国内顶尖互联网企业任职高级开发工程师,现利用闲暇之余接编程代写,具体接单范围如下: 代写python,python代写,python编程代写,python课程远程辅导 代写C语言,代写C++ 代写java,java编程代写 代写操作系统operation system 代写计算机网络computing network 代写Li			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyebyAM.html" rel="bookmark">零基础能学Python编程吗 Python就业市场怎样</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				零基础能学Python编程吗?Python就业市场怎样?Python的用处很广,比如数据挖掘,数据分析,网络爬虫,机器学习,科学计算哲学前沿领域都Python的用武之地. 目前,Python有两个版本,一个是2.x版,一个是3.x版,这两个版本是不兼容的,因为现在Python正在朝着3.x版本进化,在进化过程中,大量的针对2.x版本的代码要修改后才能运行.所以,目前有许多第三方库还暂时无法在3.x上使用. ? ? 学习Python语言,就像学习其他编程语言或者是学习某门外语一样 ,我们应该从Py			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kZKGlM.html" rel="bookmark">python编程（python开发的三种运行模式）【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/feixiaoxing/article/details/53980886 版权声明:本文为博主原创文章,未经博主允许不得转载. 目录(?)[-] 单循环模式 多线程模式 reactor模式 [ 声明:版权所有,欢迎转载,请勿用于商业用途. 联系信箱:feixiaoxing @163.com] Python作为一门脚本语言,使用的范围很广.有的同学用来算法开发,有的用来验证逻辑,还有的作为胶水语言,用它来粘合整个系统的流程.不管怎么说,怎么使用pyt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n0lkmEM.html" rel="bookmark">python爬虫&lpar;三&rpar;--Python的set&lpar;&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果你已经掌握了爬虫基础,看了我前面三个基础再来继续看这一篇文章.这篇文章主要讲解爬虫程序中必须要用到的python集合,如果你对集合很了解.那可以不用看. 在爬虫程序中,为了不重复爬取已经爬过的页面,我们需要把已经爬过的页面的url放进集合中,在每一次要爬取某一个url之前,先看看集合里面是否已经存在,如果已经存在跳过这个url,如果不存在我们把ur放进聚合中,然后再去爬取这个页面 python提供了set这种数据结构,set是一种无序的,不包含重复元素的结构,一般用来测试是否已经包含了某元素			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mm6EbY0.html" rel="bookmark">Python编程系列---Python中装饰器的几种形式及万能装饰器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				根据函数是否传参  是否有返回值 ,可以分析出装饰器的四种形式: 形式一:无参无返回值 1 def outer(func): 2 def wrapper(): 3 print(&quot;装饰器功能1&quot;) 4 ret = func() 5 print(&quot;装饰器功能2&quot;) return ret 6 return wrapper 7 8 # 定义一个无参无返回值的函数 9 @outer 10 def main_func(): 11 print(&quot;hello&quot;)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rn1jb3.html" rel="bookmark">【Python基础】Python模块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python模块 模块(modue)的概念: 在计算机程序的开发过程中,随着程序代码越写越多,在一个文件里代码就会越来越长,越来越不容易维护.为了编写可维护的代码,我们把很多函数分组,分别放到不同的文件里,这样,每个文件包含的代码就相对较少,很多编程语言都采用这种组织代码的方式.在Python中一个.py文件就称之为一个模块(Module).使用模块有什么好处?1.最大的好处是大大提高了代码的可维护性.2.其次,编写代码不必从零开始.当一个模块编写完毕,就可以被其他地方引用.我们在编写程序的时候			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzoJQl0.html" rel="bookmark">Python编程从入门到实践&lpar;第三、四章的列表和元祖&rpar; &amp;&num;142015&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文: http://blog.gqylpy.com/gqy/414 置顶:来自一名75后老程序员的武林秘籍--必读(博主推荐) 来,先呈上武林秘籍链接:http://blog.gqylpy.com/gqy/401/ 你好,我是一名极客!一个 75 后的老工程师! 我将花两分钟,表述清楚我让你读这段文字的目的! 如果你看过武侠小说,你可以把这个经历理解为,你失足落入一个山洞遇到了一位垂暮的老者!而这位老者打算传你一套武功秘籍! 没错,我就是这个老者! 干研发 20 多年了!我也年轻过,奋斗过!我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/w3vzj63.html" rel="bookmark">19 图形用户界面编程 - 《Python 核心编程》</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				?? 引言 ?? Tkinter 与Python 编程 ?? Tkinter 模块 ?? Tk 组件库 ?? Tkinter 使用举例 ?? 标签.按钮与进度条组件 ?? 一个使用 Tk 的中级范例 ?? 其他 GUI 简介(Tix, Pmw, wxPython, PyGTK) ?? 相关模块和其他 GUI Python 的默认GUI 工具集是Tk,它也是我们将使用的最基本的GUI 工具集. 我们可以通过Python 接口Tkinter 来使用Tk(Tkinter 正是“Tk 接口”之意). T			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVgvE10.html" rel="bookmark">18 多线程编程 - 《Python 核心编程》</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				?? 引言/动机 ?? 线程和进程 ?? 线程和 Python ?? thread 模块 ?? threading 模块 ?? 生产者-消费者问题和 Queue 模块 ?? 相关模块 18.1 引言/动机 18.2 线程和进程 什么是进程? 计算机程序只不过是磁盘中可执行的,二进制(或其它类型)的数据.它们只有在被读取到内 存中,被操作系统调用的时候才开始它们的生命期.进程(有时被称为重量级进程)是程序的一次 执行.每个进程都有自己的地址空间,内存,数据栈以及其它记录其运行轨迹的辅助数据.操作系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Kakym4.html" rel="bookmark">【Python 1】Python核心编程（第二版）导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一章 欢迎来到Python世界 什么是Python Python的起源 Python的特点 下载Python 安装Python 运行Python Python文档 比较Python(与其它语言的比较) 其它实现 第二章 Python起步 介绍 输入/输出 注释 操作符 变量与赋值 Python类型 缩进 循环与条件 文件 错误 函数 类 模块 第三章 Python基础 语句和语法 变量赋值 标识符和关键字 基本风格指南 内存管理 第一个Python程序 第四章 Python对象 Python对			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0byy5pM.html" rel="bookmark" class="title">简单的cocos2dx笔试题</a>
					<div>
						1.参数传递有几种方式?值传递.指针传递.引用传递 2.指针和引用有什么分别:如果传引用比传指针安全,为什么?如果我使用常量指针难道不行吗? 1.指针是一个变量,存储一个地址,指向内存的一个存储单元: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVg68d0.html" rel="bookmark" class="title">Cacti脚本及模板</a>
					<div>
						一.Cacti脚本及模板 Cacti脚本及模板论坛:http://forums.cacti.net/forum-12.html 一个完整的cacti脚本及模板列表:http://forums.cact ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEeGb0.html" rel="bookmark" class="title">Win7 64 安装Visual Studio 2010和SQL Server 2008 R2</a>
					<div>
						1. 在MSDN,我告诉你下载安装文件,VS 2010 不论32位还是64位都是同一个文件,cn_visual_studio_2010_ultimate_x86_dvd_532347.iso.SQL下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K2NjKM.html" rel="bookmark" class="title">简单的导航2</a>
					<div>
						&lt;!DOCTYPE html&gt;&lt;html&gt;&lt;head lang=&quot;en&quot;&gt; &lt;meta charset=&quot;UTF-8&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ONZl70.html" rel="bookmark" class="title">TJI读书笔记09-访问控制权限</a>
					<div>
						body, td { font-family: 微软雅黑; font-size: 10pt; } TJI读书笔记09-访问控制权限 包,package和import 权限修饰符 接口和实现 类的访问权 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLWVjv4.html" rel="bookmark" class="title">【js】js方法中直接跳转到servlet</a>
					<div>
						function firm_back_state(id,name){ if(confirm(&quot;确认返单?&quot;)){ location.href=&quot;Edit_OrderSer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02ZagE0.html" rel="bookmark" class="title">用cacti做监控服务器已经配置</a>
					<div>
						[[email protected]ocalhost ~]# iptables –F [[email protected] ~]# setenforce 0 [[email protected] ~] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qxdrz0.html" rel="bookmark" class="title">---随心买统计查询</a>
					<div>
						--随心买新增-当日人次select COUNT(*) from(select distinct userID from HUR_Product_Buy where createDate betwee ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZod80.html" rel="bookmark" class="title">自定义百度网盘提取码</a>
					<div>
						http://www.yishimei.cn/					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLZ17A3.html" rel="bookmark" class="title">C 字符串操作函数</a>
					<div>
						针对C风格的字符串(char p[n];): 长度(strlen).追加(strcat, strncat).比较(strcmp, strncmp).查找(strchr, strstr)等. --带n的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyBWDn0.html" rel="bookmark" class="title">js中各个类型的转换总结</a>
					<div>
						字符串转换为数组:   1 正则表达式var string=“abcdedef”var obj=string.replace(/(.)(?=[^$])/g,&quot;$1,&quot;).split ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dzKO94.html" rel="bookmark" class="title">linxu scp命令</a>
					<div>
						\ svn 删除所有的 .svn文件 find . -name .svn -type d -exec rm -fr {} \; linux之cp/scp命令+scp命令详解 名称:cp 使用权限:所有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xB6rQ4.html" rel="bookmark" class="title">&lbrack;dubbo&rsqb; dubbo 基础使用</a>
					<div>
						Dubbo是一个分布式服务框架,致力于提供高性能和透明化的RPC远程服务调用方案,以及SOA服务治理方案.简单的说,dubbo就是个服务框架,如果没有分布式的需求,其实是不需要用的,只有在分布式的时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41wXKq0.html" rel="bookmark" class="title">Linux--自动挂载win目录</a>
					<div>
						1. 在ubuntu下查看windows磁盘信息, Ctrl + Alt + t打开终端, 输入以下命令: sudo fdisk -l 信息如下: [email protected]:~$ sudo  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RmJYpM.html" rel="bookmark" class="title">Deep Learning Papers</a>
					<div>
						一.Image Classification(Recognition) lenet: http://yann.lecun.com/exdb/publis/pdf/lecun-01a.pdf alexn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xe5LB3.html" rel="bookmark" class="title">input与lable水平对齐</a>
					<div>
						CSSinput,label { vertical-align:middle;}  html 格式 &lt;label&gt;&lt;input/&gt;&lt;/label&gt; &lt;labe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38r51nM.html" rel="bookmark" class="title">不需要安装max或者xcode的object C开发环境</a>
					<div>
						有时候很多人在没有mac开发机的时候,都想着安装一个虚拟mac机,或者用codeblock去配置成一个OC开发环境,我之前在学习OC的时候就这么办过,虚拟机卡的要死,codeblock本来就不是专门用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YL2qWM.html" rel="bookmark" class="title">OpenCV C&plus;&plus; API 矩阵常用运算</a>
					<div>
						最近和Samuel成功地搭建了基于编码结构光的三维重建系统,这项技术应该说已经是很成熟的了,代码我们也从网上download下来学习,当然自己也重写了一遍. 除了系统校准,实际操作时整个流程分为图像解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e62KZ3.html" rel="bookmark" class="title">联想Y470P硬件升级SSD&plus;DDR全攻略</a>
					<div>
						郝萌主倾心贡献,尊重作者的劳动成果,请勿转载. 如果文章对您有所帮助,欢迎给作者捐赠,支持郝萌主,捐赠数额随意,重在心意^_^ 我要捐赠: 点击捐赠 Cocos2d-X源码下载:点我传送 搞IOS开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41yy8q4.html" rel="bookmark" class="title">任务十六：零基础JavaScript编码（四）</a>
					<div>
						面向人群: 零基础或初学者 难度: 中等 重要说明 百度前端技术学院的课程任务是由百度前端工程师专为对前端不同掌握程度的同学设计.我们尽力保证课程内容的质量以及学习难度的合理性,但即使如此,真正决定课 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
